Subject: [PATCH] vc-hg: don't pass empty string to 'update' command

From: Andrii Kolomoiets <[email-masked]>
Date: Fri, 15 Nov 2019 09:51:12 +0200

Hello,

Passing empty string to 'update' command leads to error starting from
mercurial 4.6.

mercurial 4.5.3:
  hg up ""
  0 files updated, 0 files merged, 0 files removed, 0 files unresolved

mercurial 4.6:
  hg up ""
  abort: 00changelog.i@: ambiguous identifier!

Empty revision name is used in vc-retrieve-tag to update to the latest
revision but let's pass nil instead of empty string to 'hg update'.